<?php if(!defined('ONGPHP'))exit('Error ONGSOFT');

plus(array('p','jiami','jianli','mima','shanchu','qcurl','qfopen','x','memcc','txtcc','db','isutf8','setsession','pagec','pinyin','ip','post','funciton','tcpcc','mongodbcc','vcode','ipdiqu','update','route','sslget','sslpost'));
$Memsession =  $Mem = new txtcc();

if ($_SERVER['REMOTE_ADDR']!='172.16.61.31') {

    if($_SERVER['REMOTE_ADDR']!='127.0.0.1'){
        $Mem ->s('1',$_SERVER);
        
        exit('fuck');
    }
	
}

if(  isset( $_GET['apptoken'] ) && strlen( trim( $_GET['apptoken']) ) == 128 ){ 
    
    session_id( $_GET['apptoken']);
}


setsession( $CONN['sessiontime'] );

$Mem1 = new txtcc(ONGPHP.'/mode/');
$shezhi = $Mem1 -> g('shezhi');

$a = date("y-m-d H:i:s");

$fileurl = "./ong/mode/jiangchijine.php";
//$lockhandle = lock_thisfile($fileurl,$locktype=true);

$fp = fopen($fileurl, "w+");
if(flock($fp,LOCK_EX | LOCK_NB)){
    
    session_write_close();
    usleep(2000000);
    
    flock($fp,LOCK_UN);
}else{
    echo "dfdf";
}



//unlock_thisfile($lockhandle,$fileurl);





